function importStrengthlevel()
{
	try
	{
		var strImportAwpLimits 		= getLocale("ofm.strengthlevel.importtitle");
		var strImportAwpLimitsOrder	= getLocale("ofm.strengthlevel.importtext");
		var strDefaultInput			= "\
ST 01\t0\t\tST 14\t7389\n\
ST 02\t232\t\tST 15\t8713\n\
ST 03\t341\t\tST 16\t10050\n\
ST 04\t468\t\tST 17\t11425\n\
ST 05\t638\t\tST 18\t12602\n\
ST 06\t927\t\tST 19\t13468\n\
ST 07\t1335\t\tST 20\t14404\n\
ST 08\t1881\t\tST 21\t15262\n\
ST 09\t2582\t\tST 22\t15917\n\
ST 10\t3436\t\tST 23\t16571\n\
ST 11\t4391\t\tST 24\t17324\n\
ST 12\t5304\t\tST 25\t17632\n\
ST 13\t6272";
		var input	= {dialogTitle:strImportAwpLimits, orderToUser:strImportAwpLimitsOrder, defaultInput:strDefaultInput};
		var output	= {userinput:null};
		window.openDialog("chrome://foxfm/content/dialog.xul", "", "modal, centerscreen, resizable=yes, minwidth=750em, minheight=300em", input, output);
		if (output.userinput)
		{
			// User clicked ok. Process changed arguments; e.g. write them to disk or whatever
			// alert(output.userinput);
			var userinput		= output.userinput.replace(/\./gm, "");
			if(userinput)
			{
				var aStrengthlevel 	= userinput.match(/\d+\.*\d*/gm);
				infoMessage(2, "Strengthlevel & points:" + aStrengthlevel);
				var strDebug = "";
				for(var i=0; i<aStrengthlevel.length; i++)
				{
					if(aStrengthlevel[i]!=0 && aStrengthlevel[i]!=1 && aStrengthlevel[i]<99)
					{
						var strengthlevel 		= aStrengthlevel[i];
						var strengthlevelawps 	= aStrengthlevel[i+1];
						strDebug += strengthlevel + " - " + strengthlevelawps + "; ";
						
						prefPanelStrengthlevel = document.getElementById("tbStrlvl" + strengthlevel);
						if(prefPanelStrengthlevel)
						{
							prefPanelStrengthlevel.value = strengthlevelawps;
							// prefPanelStrengthlevel.oninput();
						}
						else
						{
							errorMessage("importStrengthlevel(): Could not clearly determine strengthlevel and correpsondent AWPs from given string: " + strengthlevel + ": " + strengthlevelawps);
						}
					}
				}
				infoMessage(2, strDebug);
			}
			else
			{
				myUserException=new UserException(getLocale("ofm.strengthlevel.importerror"));
				throw myUserException; 
			}			
		}			
		else 
		{
			// User clicked cancel. Typically, nothing is done here.
			errorMessage("importStrengthlevel():" + output.userinput);
		}
	} catch (e) {
		errorMessage(e);
	}
}